------------------------------------------------------------------------------------
--Name:  	Thanksgiving1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-10-26
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(440, 664)
CppScriptMgr:SetViewScale(220)
local Player_2 = CppScriptMgr:AddSimplePlayer(1055950, 440, 664, "ChiefEd", 0, 0)
Player_2:SetDir(7)
local Player_1 = CppScriptMgr:AddSimplePlayer(1059670, 444, 664, "Susanna", 0, 0)
Player_1:SetDir(2)
Player_1:SetArmor(191595, 0, 1)
Player_1:SetHair(163, 1)
Player_1:SetRWeapon(0, 0, 1)
local npc_0 = CppScriptMgr:AddSimplePlayer(1055165, 438, 671, "", 0, 0)
npc_0:SetDir(5)
local npc_1 = CppScriptMgr:AddSimplePlayer(1061000, 442, 674, "", 0, 0)
npc_1:SetDir(4)
local npc_2 = CppScriptMgr:AddSimplePlayer(1060814, 439, 675, "", 0, 0)
npc_2:SetDir(4)
local npc_3 = CppScriptMgr:AddSimplePlayer(1060936, 434, 666, "", 0, 0)
npc_3:SetDir(6)
local npc_4 = CppScriptMgr:AddSimplePlayer(1060777, 433, 660, "", 0, 0)
npc_4:SetDir(7)
local npc_5 = CppScriptMgr:AddSimplePlayer(1060780, 445, 661, "", 0, 0)
npc_5:SetDir(1)
local npc_6 = CppScriptMgr:AddSimplePlayer(1060793, 446, 669, "", 0, 0)
npc_6:SetDir(3)
local npc_7 = CppScriptMgr:AddSimplePlayer(1059130, 440, 668, "Warsi", 0, 0)
npc_7:SetDir(4)
npc_7:SetArmor(194215, 0, 1)
npc_7:SetHair(101, 1)
npc_7:SetRWeapon(0, 0, 1)
npc_7:SetLWeapon(0, 0, 1)
CppScriptMgr:WaitMilSec(1000)
Player_2:Say("Guys! It`s the harvest season again!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_2:Say("Praise to light and food!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_2:Say("We will be the strongest tribe!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_1:Say("Praise!", 1500)
npc_0:Say("Praise!", 1500)
npc_1:Say("Praise!", 1500)
npc_2:Say("Praise!", 1500)
npc_3:Say("Praise!", 1500)
npc_4:Say("Praise!", 1500)
npc_5:Say("Praise!", 1500)
npc_6:Say("Praise!", 1500)
npc_7:Say("Praise!", 1500)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:ShakeScrEffect(5)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:NpcCallOut("Fools! Only killing and battles can make you strongest!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7126", 150, 430, "Devil", 250, 655, false)
CppScriptMgr:WaitMilSec(3000)
Player_2:Say("Devil! What do you want?", 1500)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:NpcCallOut("You will see. Only war can make your tribe powerful!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7126", 150, 430, "Devil", 250, 655, false)
CppScriptMgr:WaitMilSec(3000)
CppScriptMgr:ShakeScrEffect(1)
local Effect_1 = CppScriptMgr:AddEffect("CartoonDisplay", 435, 664, 50, 1, 1, 1)
Effect_1:Scale(3, 3, 3)
CppScriptMgr:WaitMilSec(3000)